Summary: C library for multiple-precision floating-point computations with exact rounding
Name: mpfr
Version: 4.2.1
Release: r0
License: LGPL-3.0-or-later
Group: devel
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: https://www.mpfr.org/
Source0: mpfr-4.2.1.tar.xz
BuildRequires: autoconf-archive-native
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: gmp
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: texinfo-dummy-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc

%description
The GNU Multiple Precision Floating-Point Reliable Library (GNU MPFR) is a
GNU portable C library for arbitrary-precision binary floating-point
computation with correct rounding, based on GNU Multi-Precision Library.
MPFR's computation is both efficient and has a well-defined semantics: the
functions are completely specified on all the possible operands and the
results do not depend on the platform.

%package -n libmpfr-src
Summary: C library for multiple-precision floating-point computations with exact rounding - Source files
License: LGPL-3.0-or-later
Group: devel
Provides: mpfr-src = 4.2.1

%description -n libmpfr-src
The GNU Multiple Precision Floating-Point Reliable Library (GNU MPFR) is a
GNU portable C library for arbitrary-precision binary floating-point
computation with correct rounding, based on GNU Multi-Precision Library.
MPFR's computation is both efficient and has a well-defined semantics: the
functions are completely specified on all the possible operands and the
results do not depend on the platform.  This package contains sources for
debugging purposes.

%package -n libmpfr-dbg
Summary: C library for multiple-precision floating-point computations with exact rounding - Debugging files
License: LGPL-3.0-or-later
Group: devel
Recommends: glibc-dbg
Recommends: gmp-dbg
Provides: mpfr-dbg = 4.2.1

%description -n libmpfr-dbg
The GNU Multiple Precision Floating-Point Reliable Library (GNU MPFR) is a
GNU portable C library for arbitrary-precision binary floating-point
computation with correct rounding, based on GNU Multi-Precision Library.
MPFR's computation is both efficient and has a well-defined semantics: the
functions are completely specified on all the possible operands and the
results do not depend on the platform.  This package contains ELF symbols
and related sources for debugging purposes.

%package -n libmpfr-staticdev
Summary: C library for multiple-precision floating-point computations with exact rounding - Development files (Static Libraries)
License: LGPL-3.0-or-later
Group: devel
Requires: libmpfr-dev = 4.2.1-r0
Provides: mpfr-staticdev = 4.2.1

%description -n libmpfr-staticdev
The GNU Multiple Precision Floating-Point Reliable Library (GNU MPFR) is a
GNU portable C library for arbitrary-precision binary floating-point
computation with correct rounding, based on GNU Multi-Precision Library.
MPFR's computation is both efficient and has a well-defined semantics: the
functions are completely specified on all the possible operands and the
results do not depend on the platform.  This package contains static
libraries for software development.

%package -n libmpfr-dev
Summary: C library for multiple-precision floating-point computations with exact rounding - Development files
License: LGPL-3.0-or-later
Group: devel
Requires: mpfr
Recommends: glibc-dev
Recommends: gmp-dev
Recommends: libmpfr6 = 4.2.1-r0
Provides: mpfr-dev = 4.2.1

%description -n libmpfr-dev
The GNU Multiple Precision Floating-Point Reliable Library (GNU MPFR) is a
GNU portable C library for arbitrary-precision binary floating-point
computation with correct rounding, based on GNU Multi-Precision Library.
MPFR's computation is both efficient and has a well-defined semantics: the
functions are completely specified on all the possible operands and the
results do not depend on the platform.  This package contains symbolic
links, header files, and related items necessary for software development.

%package -n libmpfr-doc
Summary: C library for multiple-precision floating-point computations with exact rounding - Documentation files
License: LGPL-3.0-or-later
Group: doc
Provides: mpfr-doc = 4.2.1

%description -n libmpfr-doc
The GNU Multiple Precision Floating-Point Reliable Library (GNU MPFR) is a
GNU portable C library for arbitrary-precision binary floating-point
computation with correct rounding, based on GNU Multi-Precision Library.
MPFR's computation is both efficient and has a well-defined semantics: the
functions are completely specified on all the possible operands and the
results do not depend on the platform.  This package contains
documentation.

%package -n libmpfr-locale
Summary: C library for multiple-precision floating-point computations with exact rounding
License: LGPL-3.0-or-later
Group: devel
Provides: mpfr-locale = 4.2.1

%description -n libmpfr-locale
The GNU Multiple Precision Floating-Point Reliable Library (GNU MPFR) is a
GNU portable C library for arbitrary-precision binary floating-point
computation with correct rounding, based on GNU Multi-Precision Library.
MPFR's computation is both efficient and has a well-defined semantics: the
functions are completely specified on all the possible operands and the
results do not depend on the platform.

%package -n libmpfr6
Summary: C library for multiple-precision floating-point computations with exact rounding
License: LGPL-3.0-or-later
Group: devel
Requires: ld-linux-x86-64.so.2()(64bit)
Requires: ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libgmp.so.10()(64bit)
Requires: libgmp10 >= 6.3.0
Requires: rtld(GNU_HASH)
Requires(post): ld-linux-x86-64.so.2()(64bit)
Requires(post): ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): libgmp.so.10()(64bit)
Requires(post): libgmp10 >= 6.3.0
Requires(post): rtld(GNU_HASH)
Provides: libmpfr.so.6()(64bit)
Provides: mpfr = 4.2.1

%description -n libmpfr6
The GNU Multiple Precision Floating-Point Reliable Library (GNU MPFR) is a
GNU portable C library for arbitrary-precision binary floating-point
computation with correct rounding, based on GNU Multi-Precision Library.
MPFR's computation is both efficient and has a well-defined semantics: the
functions are completely specified on all the possible operands and the
results do not depend on the platform.

%post -n libmpfr6
# libmpfr6 - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libmpfr-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/mpfr"
%attr(755,root,root) %dir "/usr/src/debug/mpfr/4.2.1"
%attr(755,root,root) %dir "/usr/src/debug/mpfr/4.2.1/src"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/setmin.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_q.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/div_2si.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_sj.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/expm1.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_uj.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/total_order.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/sqrt.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/zeta.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/cosu.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/rec_sqrt.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/sub1sp.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_d128.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/add_d.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_rnd.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/gmp_op.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/subnormal.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/exp2.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_si.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/tan.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/cosh.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/exp.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/version.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/printf.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/round_prec.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/abort_prec_max.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/asinh.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/erf.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/exp10.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/cmp.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/uceil_exp2.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/inits.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/log_ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/print_rnd_mode.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/digamma.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/buildopt.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/sum.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_prc_raw.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/cmp_d.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/sinh_cosh.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/exp2m1.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/lngamma.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/dot.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_str.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/const_pi.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/cos.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/init.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/sinh.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/compound.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_si.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/random_deviate.h"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/mul_ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/constant.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/factorial.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/gamma_inc.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/round_p.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/atan2u.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/add1sp.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/fits_s.h"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/log2.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_d128.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/inp_str.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_f.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_ld.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_float128.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/rndna.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/div_2ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/log10.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/sub_ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/gamma.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/mulders.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/log10p1.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/isinf.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/div.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_q.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/out_str.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/exceptions.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/li2.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/mpfr-intmax.h"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/invsqrt_limb.h"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_ui_2exp.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_si_2exp.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/acosu.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/mpn_exp.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_sj.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/signbit.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/cmp_ld.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/div_d.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/erandom.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/cmpabs.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_d.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/strtofr.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/exp10m1.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/cbrt.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/mul_2ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/pow_si.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/clear.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/sin.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/d_sub.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/root.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/round_near_x.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/powerof2.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_str.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_z_2exp.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_prec.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/ui_pow_ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/sgn.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/free_cache.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/mul_d.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_inf.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/int_ceil_log2.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/acosh.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/sub_d.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/init2.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/agm.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_d.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/rem1.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/atanu.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_exp.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_patches.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/sqrt_ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/copysign.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/log2p1.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/log.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/exp3.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/frac.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/yn.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/const_euler.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/log1p.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/fmma.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/eq.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/d_div.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_nan.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/mpfr.h"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/mpfr-impl.h"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/fpif.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/div_2exp.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/isnan.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/cmp_ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_z_2exp.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/si_op.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/ufloor_log2.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/odd_p.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/zeta_ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/fits_u.h"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_flt.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_dfl_prec.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/frexp.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/scale2.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/ai.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/nrandom.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/div_ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/eint.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/minmax.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/atan.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/check.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/invert_limb.h"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/fma.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/asin.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/cmp2.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/fits_intmax.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/const_log2.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/cmp_si.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_uj.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/grandom.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/acos.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/iszero.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/add.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_zero.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_str_raw.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/ui_pow.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/extract.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_f.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/min_prec.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/neg.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/gen_inverse.h"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/sin_cos.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/clears.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/tanu.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/isnum.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/random_deviate.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/inits2.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/atan2.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/sinu.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/uceil_log2.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/dim.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/jn.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/bernoulli.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/mpfr-gmp.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_exp.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/stack_interface.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/rint.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/nbits_ulong.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_d64.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/setsign.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/ui_div.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/comparisons.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/urandomb.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/fms.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/vasprintf.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/const_catalan.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_flt.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/pow_uj.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/pow_z.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/isregular.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_ld.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/next.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_float128.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/modf.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/pow_ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/swap.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/setmax.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/mpfr-gmp.h"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/mul.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/ieee_floats.h"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/exp_2.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/sqr.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/asinu.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/sub.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/isinteger.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/pool.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/cmpabs_ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/ubf.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/sub1.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/ui_sub.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/beta.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/jyn_asympt.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/mul_2si.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/round_raw_generic.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/get_z.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/add1.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/pow.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_z.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/atanh.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/erfc.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/print_raw.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/fmod_ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/set_d64.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/tanh.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/dump.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/cache.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/hypot.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/mul_2exp.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/isqrt.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/add_ui.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/urandom.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/gammaonethird.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/reldiff.c"
%attr(644,root,root) "/usr/src/debug/mpfr/4.2.1/src/powr.c"

%files -n libmpfr-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) "/usr/lib/.debug/libmpfr.so.6.2.1"

%files -n libmpfr-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(644,root,root) "/usr/include/mpf2mpfr.h"
%attr(644,root,root) "/usr/include/mpfr.h"
%attr(755,root,root) %dir "/usr/lib/pkgconfig"
%attr(777,root,root) "/usr/lib/libmpfr.so"
%attr(644,root,root) "/usr/lib/pkgconfig/mpfr.pc"

%files -n libmpfr-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/doc"
%attr(755,root,root) %dir "/usr/share/info"
%attr(755,root,root) %dir "/usr/share/doc/mpfr"
%attr(755,root,root) %dir "/usr/share/doc/mpfr/examples"
%attr(644,root,root) "/usr/share/doc/mpfr/NEWS"
%attr(644,root,root) "/usr/share/doc/mpfr/COPYING.LESSER"
%attr(644,root,root) "/usr/share/doc/mpfr/AUTHORS"
%attr(644,root,root) "/usr/share/doc/mpfr/FAQ.html"
%attr(644,root,root) "/usr/share/doc/mpfr/COPYING"
%attr(644,root,root) "/usr/share/doc/mpfr/TODO"
%attr(644,root,root) "/usr/share/doc/mpfr/BUGS"
%attr(644,root,root) "/usr/share/doc/mpfr/examples/divworst.c"
%attr(644,root,root) "/usr/share/doc/mpfr/examples/version.c"
%attr(644,root,root) "/usr/share/doc/mpfr/examples/rndo-add.c"
%attr(644,root,root) "/usr/share/doc/mpfr/examples/can_round.c"
%attr(644,root,root) "/usr/share/doc/mpfr/examples/threads.c"
%attr(644,root,root) "/usr/share/doc/mpfr/examples/sample.c"
%attr(644,root,root) "/usr/share/doc/mpfr/examples/ReadMe"
%attr(644,root,root) "/usr/share/info/mpfr.info"

%files -n libmpfr6
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(777,root,root) "/usr/lib/libmpfr.so.6"
%attr(755,root,root) "/usr/lib/libmpfr.so.6.2.1"

%%prep
echo "include logs and patches, Please check them in SOURCES"

